<?php
namespace Datec\DatecAmino\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractValueObject;

/**
 * @package datec_amino
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class AminoCriteria extends AbstractValueObject {

	/**
	 * uid
	 *
	 * @var \int
	 */
	protected $uid;

	/**
	 * search word 1
	 * at least this one must be given
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $sword1;

	/**
	 * search word 2
	 *
	 * @var \string
	 */
	protected $sword2;

	/**
	 * operant
	 * 
	 * either = OR / AND / NOT
	 *
	 * @var \string
	 */
	protected $operant;
	
	/**
	 * table
	 * 
	 * either = rezeptur / links / amino
	 * 
	 * @var \string
	 */
	protected $table;
	
	/**
	 * tables
	 *
	 * list of = rezeptur / links / amino
	 *
	 * @var \array
	 */
	protected $tables;
	
	/**
	 * langs
	 *
	 * list of language tokens, like 'de', 'en' or 'other'
	 *
	 * @var \array
	 */
	protected $langs;
	
	/**
	 * Returns the uid
	 *
	 * @return \int $uid
	 */
	public function getUid() {
		return $this->uid;
	}

	/**
	 * Sets the uid
	 *
	 * @param \int $uid
	 * @return void
	 */
	public function setUid($uid) {
		$this->uid = $uid;
	}
	
	/**
	 * Returns the sword1
	 *
	 * @return \string $sword1
	 */
	public function getSword1() {
		return $this->sword1;
	}

	/**
	 * Sets the sword1
	 *
	 * @param \string $sword1
	 * @return void
	 */
	public function setSword1($sword1) {
		$this->sword1 = $sword1;
	}
	
	/**
	 * Returns the sword2
	 *
	 * @return \string $sword2
	 */
	public function getSword2() {
		return $this->sword2;
	}
	
	/**
	 * Sets the sword2
	 *
	 * @param \string $sword2
	 * @return void
	 */
	public function setSword2($sword2) {
		$this->sword2 = $sword2;
	}
	
	/**
	 * Returns the operant
	 *
	 * @return \string $operant
	 */
	public function getOperant() {
		return $this->operant;
	}
	
	/**
	 * Sets the operant
	 *
	 * @param \string $operant
	 * @return void
	 */
	public function setOperant($operant) {
		$this->operant = $operant;
	}
	
	/**
	 * Returns the table
	 *
	 * @return \string $table
	 */
	public function getTable() {
		return $this->table;
	}
	
	/**
	 * Sets the table
	 *
	 * @param \string $table
	 * @return void
	 */
	public function setTable($table) {
		$this->table = $table;
	}

	/**
	 * Returns the tables
	 *
	 * @return \array $langs
	 */
	public function getTables() {
		return $this->tables;
	}
	
	/**
	 * Sets the tables
	 *
	 * @param \array $tables
	 * @return void
	 */
	public function setTables($tables) {
		$this->tables = $tables;
	}
	
	/**
	 * Returns the langs
	 *
	 * @return \array $langs
	 */
	public function getLangs() {
		return $this->langs;
	}
	
	/**
	 * Sets the langs
	 *
	 * @param \array $langs
	 * @return void
	 */
	public function setLangs($langs) {
		$this->langs = $langs;
	}

    /**
     * Gets a collected of all set, non-empty searchwords
     *
     * @return array
     */
    public function getSearchwords() {
        $searchWords = array();
        if (isset($this->sword1) && !empty($this->sword1)) {
            $searchWords[] = $this->sword1;
        }
        if (isset($this->sword2) && !empty($this->sword2)) {
            $searchWords[] = $this->sword2;
        }
        return $searchWords;
    }

}