<?php
namespace Datec\DatecAmino\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * @package datec_amino
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class AminoLink extends AbstractEntity {

	/**
	 * id
	 * "Nr"
	 *
	 * @var \int
	 */
	protected $id;
	
	/**
	 * title
	 * "Titel"
	 *
	 * @var \string
	 */
	protected $title;
	
	/**
	 * provider
	 * "Anbieter"
	 *
	 * @var \string
	 */
	protected $provider;
	
	/**
	 * link
	 * "URL"
	 *
	 * @var \string
	 */
	protected $link;
	
	/**
	 * effective
	 * "Stand (Datum)"
	 *
	 * @var \string
	 */
	protected $effective;
	
	/**
	 * formats this object to JSON
	 * this is done internally because the properites are protected
	 * 
	 * @return string
	 */
	public function __toJson() {
		return (json_encode($this->_getProperties()));
	}
	
	/**
	 * Returns the id
	 *
	 * @return \int $id
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Sets the id
	 *
	 * @param \int $id
	 * @return void
	 */
	public function setId($id) {
		$this->id = $id;
	}
	
	/**
	 * Returns the title
	 *
	 * @return \string $title
	 */
	public function getTitle() {
		return $this->title;
	}
	
	/**
	 * Sets the title
	 *
	 * @param \string $title
	 * @return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}
	
	/**
	 * Returns the provider
	 *
	 * @return \string $provider
	 */
	public function getProvider() {
		return $this->provider;
	}
	
	/**
	 * Sets the provider
	 *
	 * @param \string $provider
	 * @return void
	 */
	public function setProvider($provider) {
		$this->provider = $provider;
	}	
	
	/**
	 * Returns the link
	 *
	 * @return \string $link
	 */
	public function getLink() {
		return $this->link;
	}
	
	/**
	 * Sets the link
	 *
	 * @param \string $link
	 * @return void
	 */
	public function setLink($link) {
		$this->link = $link;
	}
	
	/**
	 * Returns the effective
	 *
	 * @return \string $effective
	 */
	public function getEffective() {
		return $this->effective;
	}
	
	/**
	 * Sets the effective
	 *
	 * @param \string $effective
	 * @return void
	 */
	public function setEffective($effective) {
		$this->effective = $effective;
	}

}