<?php
namespace Datec\DatecAmino\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * @package datec_amino
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class AminoPrescription extends AbstractEntity {

	/**
	 * id
	 * "Satz Nr"
	 *
	 * @var \int
	 */
	protected $id;
	
	/**
	 * title
	 * "Titel"
	 *
	 * @var \string
	 */
	protected $title;
	
	/**
	 * synonym
	 * "Synonym"
	 *
	 * @var \string
	 */
	protected $synonym;
	
	/**
	 * link
	 * "Link"
	 *
	 * @var \string
	 */
	protected $link;	
	
	/**
	 * dosage
	 * "Darreichungsform"
	 *
	 * @var \string
	 */
	protected $dosage;
	
	/**
	 * composition
	 * "Zusammensetzung"
	 *
	 * @var \string
	 */
	protected $composition;
	
	/**
	 * indication
	 * "Indikation"
	 *
	 * @var \string
	 */
	protected $indication;
	
	/**
	 * effective
	 * "Stand (Datum)"
	 *
	 * @var \string
	 */
	protected $effective;
	
	/**
	 * tags
	 * "Stichworte"
	 *
	 * @var \string
	 */
	protected $tags;
	
	/**
	 * rating
	 * "Bewertung"
	 *
	 * @var \int
	 */
	protected $rating;
	
	/**
	 * formats this object to JSON
	 * this is done internally because the properites are protected
	 *
	 * @return string
	 */
	public function __toJson() {
		return (json_encode($this->_getProperties()));
	}
	
	/**
	 * Returns the id
	 *
	 * @return \int $id
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Sets the id
	 *
	 * @param \int $id
	 * @return void
	 */
	public function setId($id) {
		$this->id = $id;
	}
	
	/**
	 * Returns the title
	 *
	 * @return \string $title
	 */
	public function getTitle() {
		return $this->title;
	}
	
	/**
	 * Sets the title
	 *
	 * @param \string $title
	 * @return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}
	
	/**
	 * Returns the synonym
	 *
	 * @return \string $synonym
	 */
	public function getSynonym() {
		return $this->synonym;
	}
	
	/**
	 * Sets the synonym
	 *
	 * @param \string $synonym
	 * @return void
	 */
	public function setSynonym($synonym) {
		$this->synonym = $synonym;
	}
	
	/**
	 * Returns the link
	 *
	 * @return \string $link
	 */
	public function getLink() {
		return $this->link;
	}
	
	/**
	 * Sets the link
	 *
	 * @param \string $link
	 * @return void
	 */
	public function setLink($link) {
		$this->link = $link;
	}
	
	/**
	 * Returns the dosage
	 *
	 * @return \string $dosage
	 */
	public function getDosage() {
		return $this->dosage;
	}
	
	/**
	 * Sets the dosage
	 *
	 * @param \string $dosage
	 * @return void
	 */
	public function setDosage($dosage) {
		$this->dosage = $dosage;
	}
	
	/**
	 * Returns the composition
	 *
	 * @return \string $composition
	 */
	public function getComposition() {
		return $this->composition;
	}
	
	/**
	 * Sets the composition
	 *
	 * @param \string $composition
	 * @return void
	 */
	public function setComposition($composition) {
		$this->composition = $composition;
	}
	
	/**
	 * Returns the indication
	 *
	 * @return \string $indication
	 */
	public function getIndication() {
		return $this->indication;
	}
	
	/**
	 * Sets the indication
	 *
	 * @param \string $indication
	 * @return void
	 */
	public function setIndication($indication) {
		$this->indication = $indication;
	}
	
	/**
	 * Returns the effective
	 *
	 * @return \string $effective
	 */
	public function getEffective() {
		return $this->effective;
	}
	
	/**
	 * Sets the effective
	 *
	 * @param \string $effective
	 * @return void
	 */
	public function setEffective($effective) {
		$this->effective = $effective;
	}
	
	/**
	 * Returns the tags
	 *
	 * @return \string $tags
	 */
	public function getTags() {
		return $this->tags;
	}
	
	/**
	 * Sets the tags
	 *
	 * @param \string $tags
	 * @return void
	 */
	public function setTags($tags) {
		$this->tags = $tags;
	}
	
	/**
	 * Returns the rating
	 *
	 * @return \int $rating
	 */
	public function getRating() {
		return $this->rating;
	}
	
	/**
	 * Sets the rating
	 *
	 * @param \int $rating
	 * @return void
	 */
	public function setRating($rating) {
		$this->rating = $rating;
	}

}