<?php
namespace Datec\DatecAmino\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * @package datec_amino
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class AminoRequest extends AbstractEntity {

	/**
	 * id
	 * "Satz Nr"
	 *
	 * @var \int
	 */
	protected $id;
	
	/**
	 * topic
	 * "Thema"
	 *
	 * @var \string
	 */
	protected $topic;
	
	/**
	 * question
	 * "Frage"
	 *
	 * @var \string
	 */
	protected $question;	
	
	/**
	 * comment
	 * "Kommentar"
	 *
	 * @var \string
	 */
	protected $comment;
	
	/**
	 * source
	 * "Quelle"
	 *
	 * @var \string
	 */
	protected $source;
	
	/**
	 * land
	 * "Info-Stelle/Bundesland"
	 *
	 * @var \string
	 */
	protected $land;
	
	/**
	 * formats this object to JSON
	 * this is done internally because the properites are protected
	 *
	 * @return string
	 */
	public function __toJson() {
		return (json_encode($this->_getProperties()));
	}
	
	/**
	 * Returns the id
	 *
	 * @return \int $id
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Sets the id
	 *
	 * @param \int $id
	 * @return void
	 */
	public function setId($id) {
		$this->id = $id;
	}
	
	/**
	 * Returns the topic
	 *
	 * @return \string $topic
	 */
	public function getTopic() {
		return $this->topic;
	}
	
	/**
	 * Sets the topic
	 *
	 * @param \string $topic
	 * @return void
	 */
	public function setTopic($topic) {
		$this->topic = $topic;
	}
	
	/**
	 * Returns the question
	 *
	 * @return \string $question
	 */
	public function getQuestion() {
		return $this->question;
	}
	
	/**
	 * Sets the question
	 *
	 * @param \string $question
	 * @return void
	 */
	public function setQuestion($question) {
		$this->question = $question;
	}
	
	/**
	 * Returns the comment
	 *
	 * @return \string $comment
	 */
	public function getComment() {
		return $this->comment;
	}
	
	/**
	 * Sets the comment
	 *
	 * @param \string $dosage
	 * @return void
	 */
	public function setComment($comment) {
		$this->comment = $comment;
	}
	
	/**
	 * Returns the source
	 *
	 * @return \string $source
	 */
	public function getSource() {
		return $this->source;
	}
	
	/**
	 * Sets the source
	 *
	 * @param \string $source
	 * @return void
	 */
	public function setSource($source) {
		$this->source = $source;
	}
	
	/**
	 * Returns the land
	 *
	 * @return \string $land
	 */
	public function getLand() {
		return $this->land;
	}
	
	/**
	 * Sets the land
	 *
	 * @param \string $land
	 * @return void
	 */
	public function setLand($land) {
		$this->land = $land;
	}

}
?>