<?php
namespace Datec\DatecAmino\ViewHelpers\Format;

use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * View helper for search text display, shortens by given length and highlights keywords
 * 
 * @author Philipp
 *
 */
class SearchTextViewHelper extends AbstractViewHelper {

    /**
     * @var boolean
     */
    protected $escapeChildren = false;
    /**
     * @var boolean
     */
    protected $escapeOutput = false;
	
	/**
	 * Checks for value in array
	 * 
	 * @param array $keywords keywords to highlight, must be array containing strings
	 * @return boolean
	 */
	public function render($keywords = array()) {
		$content = $this->renderChildren();
		if (is_array($keywords)) {
			foreach($keywords as $keyword) {
				$subject = $keyword; 
				$content = str_replace(strtoupper($subject), '<span class="tx_datecamino_markup">'.strtoupper($subject).'</span>', str_replace(ucfirst($subject), '<span class="tx_datecamino_markup">'.ucfirst($subject).'</span>', str_replace(lcfirst($subject), '<span class="tx_datecamino_markup">'.lcfirst($subject).'</span>', $content)));
			}
		}
		return $content;
	}
}