var DatecAminoCompoundedSearch = {
    dateFormat: 'd.m.Y H:i:s',
    searchAminoCompounded: function() {
        // we recommend to only search, when at least one table in checkboxes is checked and a search word is given
        if ($('input[name^="tx_datecamino_amino[aminoCriteria][tables]"]:checked').length && $('#tx_indexedsearch_sword1').val() !== "") {
            console.log("datec_amino:searchCompounded-start");
            var path = $(location).attr('href').split('?')[0]; 			// base path for ajax requests
            var pageType = '2002'; 										// pageNum for ajax requests
            var pageId = $('#pageId').val(); 							// pageId for ajax requests (currentPage)
            var data = $('input[name^="tx_datecamino_amino[aminoCriteria]"]').serialize();	// form field name convention 'name="tx_datecamino_amino[aminoCriteria][property]"'
            // example for adding indexed search searchwords to aminoCriteria (optional)
            data += '&tx_datecamino_amino%5BaminoCriteria%5D%5Bsword1%5D=' + $('#tx_indexedsearch_sword1').val();
            if ($('#tx_indexedsearch_sword2').val() !== "") {
                // did you know that indexed_search has a typo for the word 'operant'?
                var operant = 'AND';
                switch ($('#tx_indexedsearch_operand2').val()) {
                    case '+' :
                        operant = 'AND';
                        break;
                    case '|' :
                        operant = 'OR';
                        break;
                    case '-' :
                        operant = 'AND NOT';
                        break;
                    default :
                        operant = 'AND';
                }
                data += '&tx_datecamino_amino%5BaminoCriteria%5D%5Boperant%5D=' + operant;
                data += '&tx_datecamino_amino%5BaminoCriteria%5D%5Bsword2%5D=' + $('#tx_indexedsearch_sword2').val();
            }

            var url = path + '?id=' + pageId + '&tx_datecamino_amino[controller]=Amino&tx_datecamino_amino[action]=searchCompounded&type=' + pageType + '&' + data;
            console.log("datec_amino:searchCompounded-requestUrl:" + url);
            console.log("datec_amino:searchCompounded-searching...");
            $.ajax({
                async: true,
                url: url,
                success: function (result, status, xhr) {
                    console.log("datec_amino:searchCompounded-search-success");
                    //console.log(result);
                    console.log("datec_amino:searchCompounded-rendering...");
                    var resultObj = jQuery.parseJSON(result);
                    DatecAminoCompoundedSearch.renderAminoResults(resultObj); // render how ever you like
                    $('#tx-datecamino-amino-info').show();
                    console.log("datec_amino:searchCompounded-end");
                },
                error: function (error) {
                    console.log("datec_amino:searchCompounded-search-error");
                    console.log(error);
                    var resultObj = jQuery.parseJSON(error.responseText);
                    DatecAminoCompoundedSearch.renderAminoErrors(resultObj.errors); // render how ever you like
                    $('#tx-datecamino-amino-info').show();
                    console.log("datec_amino:searchCompounded-end");
                }
            });
        }
    },
    /**
     * Render the amino result
     */
    renderAminoResults: function(resultObj) {
        $('#tx-datecamino-amino-sections').find('> table > tbody').empty();
        if ($('#tx-datecamino-amino-results').length) {
            $('#tx-datecamino-amino-results').empty();
            if (resultObj.sections.length) {
                // render section links
                for (var section in resultObj.sections) {
                    var aminoSection = resultObj.sections[section];
                    //console.log(aminoSection);
                    if (typeof aminoSection !== 'undefined' && typeof aminoSection !== 'number') {
                        // add jump to section link
                        $('#tx-datecamino-amino-sections').find('> table > tbody').append('<tr><td width="100%">--&gt;&nbsp;<a href="#anchor_' + aminoSection.tableModel + '">' + aminoSection.tableModelDisplayName + '&nbsp;(' + aminoSection.resultsCount + ')</a></td></tr>');
                    }
                }
                // add all results
                $('#tx-datecamino-amino-results').append(resultObj.resultsView);
            } else {
                $('#tx-datecamino-amino-sections').find('> table > tbody').append('<div>Keine Ergebnissse gefunden.<br/></div>');
            }
            $('#tx-datecamino-amino-results').show();
        }
        if ($('#tx-indexedsearch-fullCount').length) {
            if (typeof resultObj.fullCount !== 'undefined') {
                var pagesCount = (parseInt($('#tx-indexedsearch-fullCount').html(), 10) || 0);
                var fullCount = pagesCount + resultObj.fullCount;
                var pagesCountStr = fullCount > 0 ? fullCount : 'ggf. mehr';
                var aminoCountStr = resultObj.fullCount > 0 ? " (" + resultObj.fullCount + " AMINO)" : '';
                $('#tx-indexedsearch-fullCount').html(pagesCountStr + aminoCountStr);
            } else {
                $('#tx-indexedsearch-fullCount').html('ggf. mehr');

            }
        }
        //renderAminoErrors(resultObj.errors); DEV - disabled
    },
    /**
     * Render Amino Erros
     */
    renderAminoErrors: function(errors) {
        $('#tx-datecamino-amino-errors').empty();
        for (var i = 0; i < errors.length; i++) {
            console.log("datec_amino:searchCompounded-error:'" + errors[i] + "'");
            $('#tx-datecamino-amino-errors').append($('<div class="tx-datec-amino-error">' + errors[i] + '</div>'));
        }
    }
};